## org.apache.mahout.classifier.bayes
Class TestClassifier

    java.lang.Object
      org.apache.mahout.classifier.bayes.TestClassifier

    public final class TestClassifier

extends java.lang.Object

Test the Naive Bayes classifier with improved weighting

To run the twenty newsgroups example: refer http://cwiki.apache.org/MAHOUT/twentynewsgroups.html

Method Summary
`static void` `classifyParallel(BayesParameters params)`
`static void` `classifySequential(BayesParameters params)`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            InvalidDatastoreException

  Throws:
    `java.io.IOException`
    `InvalidDatastoreException`

### classifySequential

    public static void classifySequential(BayesParameters params)
                                   throws java.io.IOException,
                                          InvalidDatastoreException

  Throws:
    `java.io.IOException`
    `InvalidDatastoreException`

### classifyParallel

    public static void classifyParallel(BayesParameters params)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.